set(ASL_VERSION 1.0.43)

external_project_directories(asl ${ASL_VERSION} ASL_TMP_DIR ASL_STAMP_DIR ASL_DOWNLOAD_DIR ASL_SOURCE_DIR ASL_BINARY_DIR ASL_INSTALL_DIR)

if(NOT ASL_ROOT)
	set(ASL_ROOT ${ASL_INSTALL_DIR})
endif()

set(ASL_EXTERNAL asl_external)

function(install_asl)
	message(STATUS "Install ASL Library ${ASL_VERSION}")

	set(ASL_URL http://sourceforge.net/projects/adobe-source/files/adobe-source/${ASL_VERSION}/asl_${ASL_VERSION}.zip)
	set(ASL_MD5 1e25f9bd2b3ca2800bf7b551c9d0e1ce)
	
	ExternalProject_Add(${ASL_EXTERNAL}
		TMP_DIR ${ASL_TMP_DIR}
		STAMP_DIR ${ASL_STAMP_DIR}
		DOWNLOAD_DIR ${ASL_DOWNLOAD_DIR}
		SOURCE_DIR ${ASL_SOURCE_DIR}
		INSTALL_DIR ${ASL_INSTALL_DIR}
		
		URL ${ASL_URL}
		URL_MD5 ${ASL_MD5}
		BUILD_IN_SOURCE 1
		CONFIGURE_COMMAND ""
		BUILD_COMMAND ""
		INSTALL_COMMAND ${CMAKE_COMMAND} -E copy_directory "<SOURCE_DIR>/adobe" "<INSTALL_DIR>/include/adobe")
endfunction()

macro(find_asl)
    find_package(ASL)
    if(NOT ASL_FOUND)
    	install_asl()
       	set(ASL_INCLUDE_DIR ${ASL_INSTALL_DIR}/include)
     endif()
    include_directories(${ASL_INCLUDE_DIR})
endmacro()
