
include(FindPackageHandleStandardArgs)

find_path(CppUnit_INCLUDE_DIR cppunit/Test.h 
	HINTS ${CPPUNIT_ROOT}
	PATH_SUFFIXES include
	NO_DEFAULT_PATH)
	
set(CppUnit_LIBRARY_NAME cppunit)
	
find_library(CppUnit_LIBRARY ${CppUnit_LIBRARY_NAME}  
	HINTS ${CPPUNIT_ROOT}
	PATH_SUFFIXES lib
	NO_DEFAULT_PATH)

if(CppUnit_LIBRARY)
	get_filename_component(CppUnit_LIBRARY_DIR ${CppUnit_LIBRARY} PATH)
endif()

if(MINGW)
    find_library(CppUnit_RUNTIME ${CppUnit_LIBRARY_NAME}-${CPPUNIT_RUNTIME_LIBRARY_SUFFIX}
    	HINTS ${CPPUNIT_ROOT}
    	PATH_SUFFIXES bin
    	NO_DEFAULT_PATH)
    
    if(CppUnit_RUNTIME)
    	get_filename_component(CppUnit_RUNTIME_DIR ${CppUnit_RUNTIME} PATH)
    endif()
    
    find_package_handle_standard_args(CppUnit FOUND_VAR CppUnit_FOUND REQUIRED_VARS CppUnit_INCLUDE_DIR CppUnit_LIBRARY CppUnit_RUNTIME)
else()
    find_package_handle_standard_args(CppUnit FOUND_VAR CppUnit_FOUND REQUIRED_VARS CppUnit_INCLUDE_DIR CppUnit_LIBRARY)
    set(CppUnit_RUNTIME_DIR ${CppUnit_LIBRARY_DIR})
endif()