
include(FindPackageHandleStandardArgs)

find_path(FISPro_INCLUDE_DIR base/fis.h 
	HINTS ${FISPRO_ROOT}
	PATH_SUFFIXES include
	NO_DEFAULT_PATH)
	
set(FISPro_LIBRARY_NAME fispro)
	
find_library(FISPro_LIBRARY ${FISPro_LIBRARY_NAME}  
	HINTS ${FISPRO_ROOT}
	PATH_SUFFIXES lib
	NO_DEFAULT_PATH)

if(FISPro_LIBRARY)
	get_filename_component(FISPro_LIBRARY_DIR ${FISPro_LIBRARY} PATH)
endif()

if(MINGW)
    find_library(FISPro_RUNTIME ${FISPro_LIBRARY_NAME}
    	HINTS ${FISPRO_ROOT}
    	PATH_SUFFIXES bin
    	NO_DEFAULT_PATH)
    
    if(FISPro_RUNTIME)
    	get_filename_component(FISPro_RUNTIME_DIR ${FISPro_RUNTIME} PATH)
    endif()
    
    find_package_handle_standard_args(FISPro FOUND_VAR FISPro_FOUND REQUIRED_VARS FISPro_INCLUDE_DIR FISPro_LIBRARY FISPro_RUNTIME)
else()
    find_package_handle_standard_args(FISPro FOUND_VAR FISPro_FOUND REQUIRED_VARS FISPro_INCLUDE_DIR FISPro_LIBRARY)
    set(FISPro_RUNTIME_DIR ${FISPro_LIBRARY_DIR})
endif()    
