
include(FindPackageHandleStandardArgs)

find_path(GDAL_INCLUDE_DIR gdal.h 
	HINTS ${GDAL_ROOT}
	PATH_SUFFIXES include include/gdal)
	
if(WIN32) 	
    find_path(GDAL_DATA_DIR gdal_datum.csv
    	HINTS ${GDAL_ROOT}
    	PATH_SUFFIXES share/gdal)
endif()

set(GDAL_LIBRARY_NAME gdal)

find_library(GDAL_LIBRARY ${GDAL_LIBRARY_NAME} 
	HINTS ${GDAL_ROOT}
	PATH_SUFFIXES lib)

if(GDAL_LIBRARY)
	get_filename_component(GDAL_LIBRARY_DIR ${GDAL_LIBRARY} PATH)
    set(GDAL_RUNTIME_DIR ${GDAL_LIBRARY_DIR})
endif()

if(WIN32) 	
    find_package_handle_standard_args(GDAL DEFAULT_MSG GDAL_INCLUDE_DIR GDAL_DATA_DIR GDAL_LIBRARY)
else()
    find_package_handle_standard_args(GDAL DEFAULT_MSG GDAL_INCLUDE_DIR GDAL_LIBRARY)
endif()
