
include(FindPackageHandleStandardArgs)

find_path(GEOS_INCLUDE_DIR geos.h geos_c.h 
	HINTS ${GEOS_ROOT}
	PATH_SUFFIXES include)
	
find_library(GEOS_LIBRARY geos geos_c  
	HINTS ${GEOS_ROOT}
	PATH_SUFFIXES lib)

if(GEOS_LIBRARY)
	get_filename_component(GEOS_LIBRARY_DIR ${GEOS_LIBRARY} PATH)
endif()

if(MINGW)
	string(REPLACE "." "-" RUNTIME_GEOS_VERSION ${GEOS_VERSION})
    find_library(GEOS_RUNTIME geos-${RUNTIME_GEOS_VERSION}
    	HINTS ${GEOS_ROOT}
    	PATH_SUFFIXES bin
    	NO_DEFAULT_PATH)
    
    if(GEOS_RUNTIME)
    	get_filename_component(GEOS_RUNTIME_DIR ${GEOS_RUNTIME} PATH)
    endif()
    
    find_package_handle_standard_args(GEOS DEFAULT_MSG GEOS_INCLUDE_DIR GEOS_LIBRARY GEOS_RUNTIME)
else()
    find_package_handle_standard_args(GEOS DEFAULT_MSG GEOS_INCLUDE_DIR GEOS_LIBRARY)
    set(GEOS_RUNTIME_DIR ${GEOS_LIBRARY_DIR})
endif()
