
include(FindPackageHandleStandardArgs)

find_path(GeoFIS_INCLUDE_DIR geofis/algorithm/zoning/zoning.hpp 
	HINTS ${GEOFIS_ROOT}
	PATH_SUFFIXES include
	NO_DEFAULT_PATH)
	
set(GeoFIS_LIBRARY_NAME geofis)
	
find_library(GeoFIS_LIBRARY ${GeoFIS_LIBRARY_NAME}  
	HINTS ${GEOFIS_ROOT}
	PATH_SUFFIXES lib
	NO_DEFAULT_PATH)

if(GeoFIS_LIBRARY)
	get_filename_component(GeoFIS_LIBRARY_DIR ${GeoFIS_LIBRARY} PATH)
endif()

if(MINGW)
    find_library(GeoFIS_RUNTIME ${GeoFIS_LIBRARY_NAME}  
    	HINTS ${GEOFIS_ROOT}
    	PATH_SUFFIXES bin
    	NO_DEFAULT_PATH)
    
    if(GeoFIS_RUNTIME)
    	get_filename_component(GeoFIS_RUNTIME_DIR ${GeoFIS_RUNTIME} PATH)
    endif()
    
    find_package_handle_standard_args(GeoFIS FOUND_VAR GeoFIS_FOUND REQUIRED_VARS GeoFIS_INCLUDE_DIR GeoFIS_LIBRARY GeoFIS_RUNTIME)
else()    
    find_package_handle_standard_args(GeoFIS FOUND_VAR GeoFIS_FOUND REQUIRED_VARS GeoFIS_INCLUDE_DIR GeoFIS_LIBRARY)
    set(GeoFIS_RUNTIME_DIR ${GeoFIS_LIBRARY_DIR})
endif()    
