
include(FindPackageHandleStandardArgs)

find_path(Libiconv_INCLUDE_DIR iconv.h 
	HINTS ${LIBICONV_ROOT}
	PATH_SUFFIXES include
	NO_DEFAULT_PATH)
	
find_path(Libcharset_INCLUDE_DIR localcharset.h 
	HINTS ${LIBICONV_ROOT}
	PATH_SUFFIXES include
	NO_DEFAULT_PATH)
	
set(Libiconv_LIBRARY_NAME iconv)
	
find_library(Libiconv_LIBRARY ${Libiconv_LIBRARY_NAME}  
	HINTS ${LIBICONV_ROOT}
	PATH_SUFFIXES lib
	NO_DEFAULT_PATH)

if(Libiconv_LIBRARY)
	get_filename_component(Libiconv_LIBRARY_DIR ${Libiconv_LIBRARY} PATH)
endif()	

set(Libcharset_LIBRARY_NAME charset)
    	
find_library(Libcharset_LIBRARY ${Libcharset_LIBRARY_NAME}  
	HINTS ${LIBICONV_ROOT}
	PATH_SUFFIXES lib
	NO_DEFAULT_PATH)
   
if(MINGW)
    find_library(Libiconv_RUNTIME ${Libiconv_LIBRARY_NAME}-2
    	HINTS ${LIBICONV_ROOT}
    	PATH_SUFFIXES bin
    	NO_DEFAULT_PATH)
    
    if(Libiconv_RUNTIME)
    	get_filename_component(Libiconv_RUNTIME_DIR ${Libiconv_RUNTIME} PATH)
    endif()
    
    find_package_handle_standard_args(Libiconv FOUND_VAR Libiconv_FOUND REQUIRED_VARS Libiconv_INCLUDE_DIR Libcharset_INCLUDE_DIR Libiconv_LIBRARY Libcharset_LIBRARY Libiconv_RUNTIME)
else()
    find_package_handle_standard_args(Libiconv FOUND_VAR Libiconv_FOUND REQUIRED_VARS Libiconv_INCLUDE_DIR Libcharset_INCLUDE_DIR Libiconv_LIBRARY Libcharset_LIBRARY)
    set(Libiconv_RUNTIME_DIR ${Libiconv_LIBRARY_DIR})
endif()
