
include(FindPackageHandleStandardArgs)

find_path(Util_INCLUDE_DIR util/assert.hpp 
	HINTS ${UTIL_ROOT}
	PATH_SUFFIXES include
	NO_DEFAULT_PATH)
	
set(Util_LIBRARY_NAME util)
	
find_library(Util_LIBRARY ${Util_LIBRARY_NAME}  
	HINTS ${UTIL_ROOT}
	PATH_SUFFIXES lib
	NO_DEFAULT_PATH)

if(Util_LIBRARY)
	get_filename_component(Util_LIBRARY_DIR ${Util_LIBRARY} PATH)
endif()

if(MINGW)
    find_library(Util_RUNTIME ${Util_LIBRARY_NAME}  
    	HINTS ${UTIL_ROOT}
    	PATH_SUFFIXES bin
    	NO_DEFAULT_PATH)
    
    if(Util_RUNTIME)
    	get_filename_component(Util_RUNTIME_DIR ${Util_RUNTIME} PATH)
    endif()
    
    find_package_handle_standard_args(Util FOUND_VAR Util_FOUND REQUIRED_VARS Util_INCLUDE_DIR Util_LIBRARY Util_RUNTIME)
else()
    find_package_handle_standard_args(Util FOUND_VAR Util_FOUND REQUIRED_VARS Util_INCLUDE_DIR Util_LIBRARY)
    set(Util_RUNTIME_DIR ${Util_LIBRARY_DIR})
endif()    
