if(NOT GEOS_CONFIG_INCLUDED)
set(GEOS_CONFIG_INCLUDED 1)

set(GEOS_VERSION 3.6.1)

include(Common)
	
external_project_directories(geos ${GEOS_VERSION} GEOS_TMP_DIR GEOS_STAMP_DIR GEOS_DOWNLOAD_DIR GEOS_SOURCE_DIR GEOS_BINARY_DIR GEOS_INSTALL_DIR)
append_target_architecture_directory(${GEOS_TMP_DIR} GEOS_TMP_DIR)
append_target_architecture_directory(${GEOS_STAMP_DIR} GEOS_STAMP_DIR)
append_target_architecture_directory(${GEOS_SOURCE_DIR} GEOS_SOURCE_DIR)
append_target_architecture_directory(${GEOS_INSTALL_DIR} GEOS_INSTALL_DIR)

if(NOT GEOS_ROOT)
	set(GEOS_ROOT ${GEOS_INSTALL_DIR})
endif()

function(geos_configure_command RESULT)
    set(CFLAGS "${CXX_ARCH}")
    set(CPPFLAGS "${CXX_ARCH}")
    set(CXXFLAGS "${CXX_ARCH}")
    set(CONFIGURE_COMMAND ${GEOS_SOURCE_DIR}/configure --prefix=${GEOS_INSTALL_DIR} CFLAGS=${CFLAGS} CPPFLAGS=${CPPFLAGS} CXXFLAGS=${CXXFLAGS})
    set(${RESULT} ${CONFIGURE_COMMAND} PARENT_SCOPE)
endfunction()

set(GEOS_EXTERNAL geos_external)

function(install_geos)
	message(STATUS "Install GEOS Library ${GEOS_VERSION}")
	
	set(GEOS_URL "http://download.osgeo.org/geos/geos-${GEOS_VERSION}.tar.bz2")
	
	geos_configure_command(GEOS_CONFIGURE_COMMAND)
	
	ExternalProject_Add(${GEOS_EXTERNAL}
		TMP_DIR ${GEOS_TMP_DIR}
		STAMP_DIR ${GEOS_STAMP_DIR}
		DOWNLOAD_DIR ${GEOS_DOWNLOAD_DIR}
		SOURCE_DIR ${GEOS_SOURCE_DIR}
		INSTALL_DIR ${GEOS_INSTALL_DIR}
		
		URL ${GEOS_URL}
    	BUILD_IN_SOURCE 1
		CONFIGURE_COMMAND ${GEOS_CONFIGURE_COMMAND}
		BUILD_COMMAND $(MAKE)
		INSTALL_COMMAND $(MAKE) install)
endfunction()

macro(require_geos)
    find_package(GEOS REQUIRED)
endmacro()

macro(find_geos)
    find_package(GEOS)
    if(NOT GEOS_FOUND)
    	install_geos()
    	set(GEOS_INCLUDE_DIR ${GEOS_INSTALL_DIR}/include)
   	    set(GEOS_LIBRARY_DIR ${GEOS_INSTALL_DIR}/lib)
   	    if(MINGW)
   	        set(GEOS_RUNTIME_DIR ${GEOS_INSTALL_DIR}/bin)
        else()   	        
   	        set(GEOS_RUNTIME_DIR ${GEOS_INSTALL_DIR}/lib)
        endif()   	        
    endif()
endmacro()

endif()