if(NOT TargetArchitecture_CONFIG_INCLUDED)
set(TargetArchitecture_CONFIG_INCLUDED 1)

if(CMAKE_COMPILER_IS_GNUCXX)
	execute_process(COMMAND ${CMAKE_CXX_COMPILER} "-dumpmachine" OUTPUT_VARIABLE TARGET_ARCHITECTURE)
	string(STRIP ${TARGET_ARCHITECTURE} TARGET_ARCHITECTURE)
endif()

if(${CMAKE_SIZEOF_VOID_P} EQUAL "8")
    set(TARGET_64_BITS ON)
else()
    set(TARGET_32_BITS ON)
endif()

if(TARGET_NATIVE)
    set(CXX_ARCH "-march=native -mtune=native")
else()
    if(TARGET_64_BITS)
        set(CXX_ARCH "-march=x86-64 -mtune=generic")
    else()
        set(CXX_ARCH "-march=i686 -mtune=generic")
    endif()
endif()

function(append_target_architecture_directory DIRECTORY RESULT)
	if(TARGET_ARCHITECTURE)
		set(${RESULT} ${DIRECTORY}/${TARGET_ARCHITECTURE} PARENT_SCOPE)
	endif()			
endfunction()

endif()
