if(NOT UtilBoost_CONFIG_INCLUDED)
set(UtilBoost_CONFIG_INCLUDED 1)

include(Common)
include(Boost)

set(UTIL_BOOST_LIBRARIES system filesystem regex)

with_boost_prefix_libraries(UTIL_BOOST_PREFIX_LIBRARIES ${UTIL_BOOST_LIBRARIES})

append_target_architecture_directory(${BOOST_TMP_DIR} UTIL_BOOST_TMP_DIR)
append_target_architecture_directory(${BOOST_STAMP_DIR} UTIL_BOOST_STAMP_DIR)

set(UTIL_BOOST_EXTERNAL util_boost_external)

function(install_util_boost_libraries)
	boost_address_model(ADDRESS_MODEL)
	boost_build_command(BOOST_BUILD_COMMAND)
    with_boost_libraries(UTIL_WITH_BOOST_LIBRARIES ${UTIL_BOOST_LIBRARIES})
    set(CXXFLAGS "${CXX_ARCH}")
    if(BOOST_VERSION VERSION_LESS 1.60)
        set(CXXFLAGS "${CXXFLAGS} -Wno-parentheses -Wno-unknown-pragmas -Wno-deprecated-declarations")
    elseif(BOOST_VERSION VERSION_LESS 1.63)    
         set(CXXFLAGS "${CXXFLAGS} -Wno-parentheses -Wno-unknown-pragmas")
    elseif(BOOST_VERSION VERSION_LESS 1.68)    
         set(CXXFLAGS "${CXXFLAGS} -Wno-parentheses")
    endif()
    message(STATUS "UTIL_BOOST_CXXFLAGS: ${CXXFLAGS}")
    
	ExternalProject_Add(${UTIL_BOOST_EXTERNAL}
		TMP_DIR ${UTIL_BOOST_TMP_DIR}
		STAMP_DIR ${UTIL_BOOST_STAMP_DIR}
		SOURCE_DIR ${BOOST_SOURCE_DIR}
		INSTALL_DIR ${BOOST_INSTALL_DIR}
		
		DOWNLOAD_COMMAND ""
		BUILD_IN_SOURCE 1
		CONFIGURE_COMMAND ""
		BUILD_COMMAND ${BOOST_SOURCE_DIR}/${BOOST_BUILD_COMMAND} --prefix=${BOOST_INSTALL_DIR} --libdir=${BOOST_INSTALL_DIR}/lib --layout=system ${UTIL_WITH_BOOST_LIBRARIES} address-model=${ADDRESS_MODEL} cxxflags=${CXXFLAGS} link=shared threading=single variant=release toolset=gcc -j${PROCESSOR_COUNT} install
	    INSTALL_COMMAND "")

	ExternalProject_Add_Step(${UTIL_BOOST_EXTERNAL} force-build
        DEPENDERS build
        ALWAYS 1)

    add_dependencies(${UTIL_BOOST_EXTERNAL} ${BOOST_EXTERNAL})
endfunction()
	
macro(require_util_boost)
    require_boost_components(${UTIL_BOOST_LIBRARIES})
	link_directories(${Boost_LIBRARY_DIRS})
endmacro()
		
macro(find_util_boost)
    find_boost_components(${UTIL_BOOST_LIBRARIES})
    if(NOT Boost_FOUND)
    	install_util_boost_libraries()
		link_directories(${BOOST_INSTALL_DIR}/lib)
    else()
		link_directories(${Boost_LIBRARY_DIRS})
    endif()
endmacro()

endif()		
