/**
 * Util Native Library
 *
 * Copyright (C) 2014 IRSTEA
 *
 * Auteur/Author:
 *     Jean-luc Lablée - http://itap.irstea.fr/?page_id=2277
 *
 * =========================================================================
 *
 * Ce logiciel est régi par la licence CeCILL-C soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL-C telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL-C, et que vous en avez accepté les
 * termes.
 *
 * =========================================================================
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
#include <util/data/file/delimited_column_loader.hpp>
#include <cppunit/extensions/HelperMacros.h>


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

/*#include <string>
#include <boost/range.hpp>
#include <boost/token_iterator.hpp>

namespace boost {

template <class TokenizerFunction, class Range, class Type> struct token_range_base {

	typedef iterator_range<token_iterator<TokenizerFunction, typename range_iterator<const Range>::type, Type> > type;
};

template <class TokenizerFunction, class Range, class Type> class token_range : public token_range_base<TokenizerFunction, Range, Type>::type {

    typedef typename token_range_base<TokenizerFunction, Range, Type>::type base_type;

public:
	token_range(const TokenizerFunction &tokenizer_function, const Range &range) : base_type(make_token_iterator<Type>(begin(range), end(range), tokenizer_function), make_token_iterator<Type>(end(range), end(range), tokenizer_function)) {}
};

template <class TokenizerFunction, class Range = std::string, class Type = std::string> struct token_range_generator {

	typedef token_range<TokenizerFunction, Range, Type> type;
};

template <class Type, class TokenizerFunction, class Range> inline typename token_range_generator<TokenizerFunction, Range, Type>::type make_token_range(const TokenizerFunction &tokenizer_function, const Range &range) {
	return typename token_range_generator<TokenizerFunction, Range, Type>::type(tokenizer_function, range);
}

} // namespace boost
*/

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <boost/iterator/transform_iterator.hpp>
#include <boost/range/adaptor/indexed.hpp>
#include <boost/move/move.hpp>
#include <util/jni/array.hpp>

namespace boost {

template <class BinaryFunction, class Iterator, class Reference, class Value> class transform_iterator<BinaryFunction, range_detail::indexed_iterator<Iterator>, Reference, Value> : public detail::transform_iterator_base<BinaryFunction, range_detail::indexed_iterator<Iterator>, Reference, Value>::type {

    friend class iterator_core_access;

	typedef typename detail::transform_iterator_base<BinaryFunction, range_detail::indexed_iterator<Iterator>, Reference, Value>::type base_type;

public:
	transform_iterator() {}
	transform_iterator(const range_detail::indexed_iterator<Iterator> &iterator, const BinaryFunction &function) : base_type(iterator), function(function) {}

private:
    typename base_type::reference dereference() const {
    	return function(*this->base(), this->base().index());
    }

	BinaryFunction function;
};

} // namespace boost

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <boost/format.hpp>
//#include <boost/tokenizer.hpp>
#include <boost/range/algorithm/copy.hpp>
#include <boost/range/adaptor/indexed.hpp>
//#include <boost/token_iterator.hpp>
#include <util/range/tokenizer_range.hpp>
//#include <util/fast_token_functions.hpp>

using namespace std;
using namespace util;
using namespace boost;
using namespace boost::adaptors;

struct transform_function : binary_function<string, int, string> {

	string operator() (const string &string, int index) const {
		return boost::str(boost::format("%1% - index %2%") % string % index);
	}
};

//typedef boost::iterator_range<const char *> char_range;

namespace util {

template <class T> struct pointer_token : public boost::iterator_range<const T *> {

	typedef boost::iterator_range<const T *> base_type;

	pointer_token() : base_type() {}
	pointer_token(const T *begin, const T *end) : base_type(begin, end) {}
	template <class Range> pointer_token(const Range &range) : base_type(range) {}

	void assign(const T *begin, const T *end) { static_cast<base_type &>(*this) = base_type(begin, end); }

	friend std::ostream &operator << (std::ostream &o, const pointer_token &token) {
		copy(token, ostream_iterator<T>(o));
		return o;
	}
};

struct const_char_range : public boost::iterator_range<const char *> {

	typedef boost::iterator_range<const char *> base_type;
	typedef std::auto_ptr<char> auto_ptr;

	BOOST_MOVABLE_BUT_NOT_COPYABLE(const_char_range);

public:
	const_char_range() : base_type() {}
	const_char_range(auto_ptr ptr, size_t size) : base_type(ptr.get(), ptr.get() + size), ptr(ptr) {
		std::cout << "const_char_range(auto_ptr ptr, size_t size)" << this->ptr.get() << std::endl;
	}
	const_char_range(BOOST_RV_REF(const_char_range) other) : base_type(static_cast<const base_type &>(other)), ptr(other.ptr.release()) {
		copy(*this, ostream_iterator<char>(std::cout));
		std::cout << std::endl << "const_char_range(BOOST_RV_REF(const_char_range) other)" << ptr.get() << std::endl;
	}

	//const_char_range &operator= (BOOST_RV_REF(const_char_range) other) { return *this; }

private:
	auto_ptr ptr;
};

template <class TokenizerFunction> class tokenizer_range<TokenizerFunction, util::const_char_range, util::pointer_token<char> > : public tokenizer_range_traits<TokenizerFunction, util::const_char_range, util::pointer_token<char> >::base_type {

	//typedef tokenizer_range<TokenizerFunction, util::const_char_range, util::pointer_token<char>> this_type;
	typedef typename tokenizer_range_traits<TokenizerFunction, util::const_char_range, util::pointer_token<char> >::base_type base_type;

	//BOOST_MOVABLE_BUT_NOT_COPYABLE(tokenizer_range);

public:
	tokenizer_range(const TokenizerFunction &tokenizer_function, util::const_char_range &range) : range(boost::move(range)) {
	    static_cast<base_type &>(*this) = base_type(boost::make_token_iterator<util::pointer_token<char> >(boost::begin(this->range), boost::end(this->range), tokenizer_function), boost::make_token_iterator<util::pointer_token<char> >(boost::end(this->range), boost::end(this->range), tokenizer_function));
	}
	//tokenizer_range(BOOST_RV_REF(tokenizer_range) other) : range(boost::move(other.range)) {}

private:
	util::const_char_range range;
};

/*template <class TokenizerFunction> tokenizer_range<TokenizerFunction, util::const_char_range, util::const_char_token> inline make_const_char_tokenizer_range(const TokenizerFunction &tokenizer_function, util::const_char_range &range) {
	return tokenizer_range<TokenizerFunction, util::const_char_range, util::const_char_token>(tokenizer_function, range);
}*/

struct jchar_token : public boost::iterator_range<const jchar *> {

	typedef boost::iterator_range<const jchar *> base_type;

	jchar_token() : base_type() {}
	//jchar_token(const char *begin, const char *end) : base_type(begin, end) {}
	//template <class Range> jchar_token(const Range &range) : base_type(range) {}

	void assign(const jchar *begin, const jchar *end) { static_cast<base_type &>(*this) = base_type(begin, end); }

	/*friend std::ostream &operator << (std::ostream &o, const const_char_token &token) {
		copy(token, ostream_iterator<char>(o));
		return o;
	}*/
};

template <class Array> struct array_range : public boost::iterator_range<const typename array_traits<Array>::element_type *> {

	typedef boost::iterator_range<const typename array_traits<Array>::element_type *> base_type;

	array_range(array<Array> &array) : base_type(array.get_elements(), array.get_elements() + array.size()) {}
};

template <class TokenizerFunction> class tokenizer_range<TokenizerFunction, util::array_range<jcharArray>, util::pointer_token<jchar> > : public tokenizer_range_traits<TokenizerFunction, util::array_range<jcharArray>, util::pointer_token<jchar> >::base_type {

	typedef typename tokenizer_range_traits<TokenizerFunction, util::array_range<jcharArray>, util::pointer_token<jchar> >::base_type base_type;

public:
	tokenizer_range(const TokenizerFunction &tokenizer_function, util::array<jcharArray> &array) : range(array), array(boost::move(array)) {
	    static_cast<base_type &>(*this) = base_type(boost::make_token_iterator<util::pointer_token<jchar> >(boost::begin(range), boost::end(range), tokenizer_function), boost::make_token_iterator<util::pointer_token<jchar> >(boost::end(range), boost::end(range), tokenizer_function));
	}

private:
	util::array_range<jcharArray> range;
	util::array<jcharArray> array;
};

} // namespace util


/*class my_tokenizer {

public:
	void reset() {}

	template <class InputIterator, class Token> bool operator() (InputIterator& next, InputIterator end, Token& token) {
		return false;
	}
};*/

/*namespace boost { namespace tokenizer_detail {

template <> struct assign_or_plus_equal<std::random_access_iterator_tag> {

  template<class Iterator, class Token> static void assign(Iterator b, Iterator e, Token &t) { t.assign(b, e); }
  template<class Token, class Value> static void plus_equal(Token &t, const Value &v) {}
  template<class Token> static void clear(Token &t) {}
};

}}*/

class tokenizer_range_tester : public CppUnit::TestFixture {

	CPPUNIT_TEST_SUITE( tokenizer_range_tester );

	CPPUNIT_TEST( test );

	CPPUNIT_TEST_SUITE_END();

public:

	void test() {

		try {

			/*
			// test to compile only, do not execute....
			jcharArray charArray = NULL;
			array<jcharArray> _array(NULL, charArray);
			//array_range<jcharArray> jcar(_array);
			tokenizer_range<boost::char_separator<char>, array_range<jcharArray>, pointer_token<jchar> > tr0(boost::char_separator<char>(","), _array);
			 */

			const char input[] = "11,222,3333,44444";
			auto_ptr<char> ptr(new char[18]);
			copy(input, ptr.get());
			const_char_range acc(ptr, 17);
			//tokenizer_range<boost::char_separator<char>, const_char_token, const_char_token> tr(make_tokenizer_range<const_char_token>(boost::char_separator<char>(","), const_char_token(input, input+17)));
			//tokenizer_range<boost::char_separator<char>, const_char_range, const_char_token> tr(make_const_char_tokenizer_range(boost::char_separator<char>(","), acc));
			tokenizer_range<boost::char_separator<char>, const_char_range, pointer_token<char> > tr(boost::char_separator<char>(","), acc);
			std::cout << boost::distance(tr) << " tokens" << std::endl;
			copy(tr, ostream_iterator<pointer_token<char> >(cout, "\n"));

		    /*std::string str = "1,2,3,4";
		    typedef boost::tokenizer<boost::char_separator<char> >
		        tokenizer;
		    boost::char_separator<char> sep("2", "", boost::keep_empty_tokens);
		    tokenizer tokens(str, sep);
		    for (tokenizer::iterator tok_iter = tokens.begin();
		         tok_iter != tokens.end(); ++tok_iter)
		      std::cout << "<" << *tok_iter << "> ";
		    std::cout << "\n";*/

			string s("1,2,3,4");
			tokenizer_range<boost::char_separator<char>, const string> r(make_tokenizer_range(boost::char_separator<char>("2"), s));
			std::cout << *r.begin() << std::endl;
			//++boost::begin(r);
			//r.advance_begin(1);
			std::cout << *++r.begin() << std::endl;

			copy(make_tokenizer_range(boost::char_separator<char>("2"), string("1,2,3,4")), ostream_iterator<string>(cout, "\n"));

			copy(make_tokenizer_range(boost::char_separator<char>(","), string("1,2,3")), ostream_iterator<string>(cout, "\n"));
			copy(index(make_tokenizer_range(boost::char_separator<char>(","), string("1,2,3")), 0), ostream_iterator<string>(cout, "\n"));

			copy(transform(index(make_tokenizer_range(boost::char_separator<char>(","), string("1,2,3")), 0), transform_function()), ostream_iterator<string>(cout, "\n"));

		} catch(std::exception &e) { CPPUNIT_FAIL( e.what() ); }
	}

};

CPPUNIT_TEST_SUITE_REGISTRATION( tokenizer_range_tester );
