/**
 * Util Native Library
 *
 * Copyright (C) 2014 IRSTEA
 *
 * Auteur/Author:
 *     Jean-luc Lablée - http://itap.irstea.fr/?page_id=2277
 *
 * =========================================================================
 *
 * Ce logiciel est régi par la licence CeCILL-C soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL-C telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL-C, et que vous en avez accepté les
 * termes.
 *
 * =========================================================================
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
#include <util/data/file/tokenizer_loader.hpp>
#include <cppunit/extensions/HelperMacros.h>
#include <util/data/file/char_separator_tokenizer_loader.hpp>
#include <util/data/data_loader.hpp>

/*#include <cppunit/specializations.hpp>
#include <cppunit/specializations/data/data.hpp>
#include <util/data/data_loader.hpp>
#include <util/data/coupling_loader.hpp>
#include <boost/assign/list_of.hpp>
#include <boost/range/counting_range.hpp>*/

using namespace util;

/*namespace {

struct coupling_function : public std::binary_function<int, int, int> {

	inline int operator() (int x, int y) const { return x + y; }
};

} // namespace*/

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class tokenizer_loader_tester : public CppUnit::TestFixture {

	CPPUNIT_TEST_SUITE( tokenizer_loader_tester );

	/*CPPUNIT_TEST( test_iterator_category );
	CPPUNIT_TEST( test_column );
	//CPPUNIT_TEST( test_missing_value );
	CPPUNIT_TEST( test_coupling );*/

	//CPPUNIT_TEST( test_char_separator );
	//CPPUNIT_TEST( test_char_separator_header );

	CPPUNIT_TEST_SUITE_END();

public:

	void test_char_separator() {
		//data<char>::unique_ptr global;
		{
			data<char>::unique_ptr d(new_data(make_char_separator_tokenizer_loader<char>("../util_files/data/file/file_dos", 0)));
			//std::cout << "1" << std::endl;
			//global = d;
		}
		//std::cout << "2" << std::endl;
	}

	void test_char_separator_header() {

		data_name_header header(true);
		data<char>::unique_ptr d(new_data(make_char_separator_tokenizer_loader<char>("../util_files/data/file/file_dos", 0, header)));
	}



	/*void test_iterator_category() {

		typedef loader_data_traits<typename delimited_column_loader_traits<int>::type>::type range_type;
		typedef boost::range_iterator<range_type>::type iterator_type;

		BOOST_MPL_ASSERT((boost::is_same<boost::range_category<range_type>::type, boost::forward_traversal_tag>));
		BOOST_MPL_ASSERT((boost::is_same<boost::detail::iterator_traits<iterator_type>::iterator_category, boost::forward_traversal_tag>));
		BOOST_MPL_ASSERT((boost::is_same<std::iterator_traits<iterator_type>::iterator_category, boost::detail::iterator_category_with_traversal<std::input_iterator_tag, boost::forward_traversal_tag> >));
	}

	void test_column() {

		try {

			for(unsigned int column=0 ; column < 4 ; ++column) {
				data<int>::unique_ptr d(new_data(make_delimited_column_loader<int>("../util_files/data/file/file_dos", column)));
				CPPUNIT_ASSERT_EQUAL( (size_t)5, d->size() );
				CPPUNIT_ASSERT_RANGES_EQUAL( boost::counting_range(column, column + 5), *d );
			}

			CPPUNIT_ASSERT_THROW( new_data(make_delimited_column_loader<int>("../util_files/data/file/file_dos", 4)), std::runtime_error );

		} catch(std::exception &e) { CPPUNIT_FAIL( e.what() ); }
	}

	void test_coupling() {

		try {

			data<int>::unique_ptr d(new_data(make_coupling_loader(make_delimited_column_loader<int>("../util_files/data/file/file_dos", 0), make_delimited_column_loader<int>("../util_files/data/file/file_dos", 1), coupling_function())));
			CPPUNIT_ASSERT_EQUAL( (size_t)5, d->size() );
			CPPUNIT_ASSERT_RANGES_EQUAL( boost::assign::list_of(1)(3)(5)(7)(9), *d );

		} catch(std::exception &e) { CPPUNIT_FAIL( e.what() ); }
	}*/
};

CPPUNIT_TEST_SUITE_REGISTRATION( tokenizer_loader_tester );
